#!/usr/bin/perl -w  # -*- cperl -*- #
#
#  help.pm - Handle help requests.
#
#  Steve Kemp
#  ---
#  http://www.steve.org.uk/
#
#


#
#  The package this module is implementing.
#
package Xen::Monitor::Plugins::help;


#
#  Register the plugin.
#
Xen::Monitor::Server::register_plugin("Xen::Monitor::Plugins::help");



#
#  Minimal constructor.
#
sub new { return bless {}; }



#
#  Return the author of this plugin.
#
sub getAuthor
{
    return( 'Steve Kemp <steve@steve.org.uk>' );
}


#
#  Does this plugin require authentication?
#
sub needsAuth
{
    return 0;
}

#
#  Return the commands we handle.
#
sub getCommand
{
    my %commands;
    $commands{"help"} = 1;
    return( %commands );
}

#
# Run the command we're sent - this means 'pause' or 'unpause'.
#
sub runCommand
{
    my ( $class, $server, $command, @args ) = ( @_ );

    print "200 OK\r\n";
    print <<EOF;
auth user pass - Login
dmesg          - Show the 'dmesg' output of the Xen host.
[exit|quit]    - Exit
info host      - List information about a given instance.
ip host        - Show the IP address of the given host.
list available - List available xen instances.
list running   - List running xen instances.
mac host       - Show MAC address for host.
nop            - NOP, just to keep a socket alive.
pause host     - Pause the host 'host'
reboot host    - Reboot the given 'host'.
start host     - Start  the host 'host'
stop host      - Stop the host 'host'
[tx | rx] host - Show network count.
unpause host   - Unpause the host 'host'
uptime host    - Show the time the host has been up.
EOF
    print "300 DONE\r\n";

}

1;
