#!/usr/bin/perl -w  # -*- cperl -*- #
#
#  nop.pm - A basic NOP command, to keep a socket connection open.
#
#  Steve Kemp
#  ---
#  http://www.steve.org.uk/
#
#


#
#  The package this module is implementing.
#
package Xen::Monitor::Plugins::nop;


#
#  Register the plugin.
#
Xen::Monitor::Server::register_plugin("Xen::Monitor::Plugins::nop");



#
#  Minimal constructor.
#
sub new { return bless {}; }



#
#  Return the author of this plugin.
#
sub getAuthor
{
    return( 'Steve Kemp <steve@steve.org.uk>' );
}


#
#  Does this plugin require authentication?
#
sub needsAuth
{
    return 0;
}

#
#  Return the commands we handle.
#
sub getCommand
{
    my %commands;
    $commands{"nop"} = 1;
    return( %commands );
}


#
# Run the command we're sent, this is a 'NOP'.  Immediately return OK.
#
sub runCommand
{
    my ( $class, $server, $command, @args ) = ( @_ );

    print "200 OK\r\n";
    print "300 DONE\r\n";
}


1;
